<!-- <mwl-calendar-week-view [viewDate]="viewDate" [events]="events" [refresh]="refresh"
    (eventClicked)="handleEvent('Clicked', $event.event)" (eventTimesChanged)="eventTimesChanged($event)">
</mwl-calendar-week-view> -->

<div class="page-header">
    <h1>My Emails</h1>
    <div class="actions">
        <button mat-flat-button color="warn" class="page-header-main-action txt-size-20" (click)="openCreateEvent()">
            Create New
            <mat-icon class="ml-1">
                add
            </mat-icon>
        </button>
        <button mat-flat-button color="warn" class="page-header-main-action ml-2 txt-size-20" (click)="openEventView()">
            View Events
            <mat-icon class="ml-1">
                visibility
            </mat-icon>
        </button>
        <button mat-fab color="warn" class="responsive-btn" (click)="openCreateEvent()">
            <mat-icon>add</mat-icon>
        </button>
        <button mat-fab color="warn" class="responsive-btn ml-2" (click)="openEventView()">
            <mat-icon>visibility</mat-icon>
        </button>
    </div>
</div>



<div class="calender-container">
    <mwl-calendar-month-view [viewDate]="viewDate" [events]="events" [refresh]="refresh"
        [activeDayIsOpen]="activeDayIsOpen" (dayClicked)="dayClicked($event.day)"
        (eventClicked)="handleEvent('Clicked', $event.event)" (eventTimesChanged)="eventTimesChanged($event)">
    </mwl-calendar-month-view>
</div>